Subject: Re: [PATCH net-next V3 00/10] devlink: add per-port resource support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Mar 2026 19:26:40 -0800

On Fri, 27 Feb 2026 00:19:06 +0200 Tariq Toukan wrote:
> With this series, users can query per-port resources:
> 
> $ devlink port resource show pci/0000:03:00.0/196608
> pci/0000:03:00.0/196608:
>   name max_SFs size 20 unit entry
> 
> $ devlink port resource show
> pci/0000:03:00.0/196608:
>   name max_SFs size 20 unit entry
> pci/0000:03:00.1/262144:
>   name max_SFs size 20 unit entry

Code LGTM, I have a question about having a new cmd, tho.

Does it matter to the user how the resource is scoped? 
Whether the resource is at the instance level or at the port level?

I worry we are mechanically following the design of other commands.
Since the dump handler is new we could just dump resources with port-id
there. No existing user space may be using it. Alternatively we could
add a new attribute to select a bitmask of which scope user wants to
dump.

I have a strong suspicion that the user will want to access all
resources of a device. `devlink resource show [$dev]` should dump 
all resources devlink knows about, including port ones.

What's the reason for the new command?